package com.gic.evaluate.constant;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-12-25 18:14
 */
public enum GreaterEnum {
    /**
     * 等于
     */
    EQ("=",3,  "等于"),
    /**
     * 大于等于
     */
    GTE(">=",4,  "大于等于"),
    /**
     * 大于
     */
    GT(">",5, "大于");

    private String compute;
    private Integer code;
    private String msg;

    GreaterEnum(String compute, Integer code, String msg) {
        this.compute = compute;
        this.code = code;
        this.msg = msg;
    }

    public String getCompute() {
        return compute;
    }

    public Integer getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

    public static String parseCodeToCompute(Integer code) {
        for (GreaterEnum greater : values()) {
            if (greater.code.equals(code)) {
                return greater.compute;
            }
        }
        return null;
    }
}
