package com.gic.evaluate.constant;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-12-25 18:14
 */
public enum LessEnum {
    /**
     * 小于
     */
    LT("<", 1, "小于"),
    /**
     * 小于等于
     */
    LTE("<=", 2, "小于等于"),
    /**
     * 等于
     */
    EQ("=", 3, "等于");

    private String compute;
    private Integer code;
    private String msg;

    LessEnum(String compute, Integer code, String msg) {
        this.compute = compute;
        this.code = code;
        this.msg = msg;
    }

    public String getCompute() {
        return compute;
    }

    public Integer getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

    public static String parseCodeToCompute(Integer code) {
        for (LessEnum less : values()) {
            if (less.code.equals(code)) {
                return less.compute;
            }
        }
        return null;
    }
}
