package com.gic.evaluate.dto;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-12-26 18:29
 */
public class EvaluateReplyDTO implements Serializable {
    private static final long serialVersionUID = 8035238086312771905L;

    /**
     *
     */
    private Integer evaluateReplyId;

    /**
     * 商户id
     */
    private Integer enterpriseId;

    /**
     * 评论id
     */
    private Integer evaluateId;

    /**
     * 回复时间
     */
    private Date replyDate;

    /**
     * 1:会员      2:店员
     */
    private Integer replyerType;

    /**
     * 回复内容
     */
    private String replyContent;

    /**
     *
     */
    private Long memberId;

    /**
     *
     */
    private String memberName;

    private String memberImgUrl;
    /**
     * 是否展示
     */
    private Integer showStatus;
    /**
     *
     */
    private Integer userId;

    /**
     *
     */
    private String userName;
    private List<String> imgList;
    private List<EvaluateTagsDTO> quickReplyTagList;
    private List<String> quickReplyTagNameList;

    public Integer getEvaluateReplyId() {
        return evaluateReplyId;
    }

    public void setEvaluateReplyId(Integer evaluateReplyId) {
        this.evaluateReplyId = evaluateReplyId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getEvaluateId() {
        return evaluateId;
    }

    public void setEvaluateId(Integer evaluateId) {
        this.evaluateId = evaluateId;
    }

    public Date getReplyDate() {
        return replyDate;
    }

    public void setReplyDate(Date replyDate) {
        this.replyDate = replyDate;
    }

    public Integer getReplyerType() {
        return replyerType;
    }

    public void setReplyerType(Integer replyerType) {
        this.replyerType = replyerType;
    }

    public String getReplyContent() {
        return replyContent;
    }

    public void setReplyContent(String replyContent) {
        this.replyContent = replyContent;
    }

    public Long getMemberId() {
        return memberId;
    }

    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public void setImgList(List<String> imgList) {
        this.imgList = imgList;
    }

    public List<String> getImgList() {
        return imgList;
    }

    public String getMemberImgUrl() {
        return memberImgUrl;
    }

    public void setMemberImgUrl(String memberImgUrl) {
        this.memberImgUrl = memberImgUrl;
    }

    public Integer getShowStatus() {
        return showStatus;
    }

    public void setShowStatus(Integer showStatus) {
        this.showStatus = showStatus;
    }

    public void setQuickReplyTagList(List<EvaluateTagsDTO> quickReplyTagList) {
        this.quickReplyTagList = quickReplyTagList;
    }

    public List<EvaluateTagsDTO> getQuickReplyTagList() {
        return quickReplyTagList;
    }

    public List<String> getQuickReplyTagNameList() {
        return quickReplyTagNameList;
    }

    public void setQuickReplyTagNameList(List<String> quickReplyTagNameList) {
        this.quickReplyTagNameList = quickReplyTagNameList;
    }
}
