package com.gic.evaluate.entity;

import com.gic.commons.plugin.mybatis.InjectId;

import java.util.Date;

/**
 * tab_evaluate_msg_log
 */
/**
 * 
 * @ClassName: TabEvaluateMsgLog
 * @Description:  
 * @author zhiwj
 * @date 2020-09-08 18:50
 */
public class TabEvaluateMsgLog {
    /**
     * 订单消息发送日志ID
     */
    @InjectId(InjectId.IdType.SNOWFLAKE)
    private Long evaluateMsgLogId;

    /**
     * 
     */
    private Integer enterpriseId;

    /**
     * 订单ID
     */
    private Long orderId;

    /**
     * 订单号
     */
    private String orderNumber;

    /**
     * 门店id
     */
    private Integer storeId;

    /**
     * 金额
     */
    private Double saleAmount;

    /**
     * 发送时间
     */
    private Date firstSendTime;

    /**
     * 真正发送时间
     */
    private Date firstRealSendTime;

    /**
     * 状态（0：无效，1：有效，2：无效）
     */
    private Integer firstStatus;

    /**
     * 发送时间
     */
    private Date secondSendTime;

    /**
     * 真正发送时间
     */
    private Date secondRealSendTime;

    /**
     * 状态（0：无效，1：有效，2：无效）
     */
    private Integer secondStatus;

    /**
     * 发送时间
     */
    private Date reviewSendTime;

    /**
     * 真正发送时间
     */
    private Date reviewRealSendTime;

    /**
     * 状态（0：无效，1：有效，2：无效）
     */
    private Integer reviewStatus;

    /**
     * 会员卡域id
     */
    private Long memberAreaId;

    /**
     * 会员mcuId
     */
    private Long mcuId;

    /**
     * 商品详情
     */
    private String goodsInfo;

    /**
     * 订单实际消费日期
     */
    private Date receiptsDate;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;

    public Long getEvaluateMsgLogId() {
        return evaluateMsgLogId;
    }

    public void setEvaluateMsgLogId(Long evaluateMsgLogId) {
        this.evaluateMsgLogId = evaluateMsgLogId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public Double getSaleAmount() {
        return saleAmount;
    }

    public void setSaleAmount(Double saleAmount) {
        this.saleAmount = saleAmount;
    }

    public Date getFirstSendTime() {
        return firstSendTime;
    }

    public void setFirstSendTime(Date firstSendTime) {
        this.firstSendTime = firstSendTime;
    }

    public Date getFirstRealSendTime() {
        return firstRealSendTime;
    }

    public void setFirstRealSendTime(Date firstRealSendTime) {
        this.firstRealSendTime = firstRealSendTime;
    }

    public Integer getFirstStatus() {
        return firstStatus;
    }

    public void setFirstStatus(Integer firstStatus) {
        this.firstStatus = firstStatus;
    }

    public Date getSecondSendTime() {
        return secondSendTime;
    }

    public void setSecondSendTime(Date secondSendTime) {
        this.secondSendTime = secondSendTime;
    }

    public Date getSecondRealSendTime() {
        return secondRealSendTime;
    }

    public void setSecondRealSendTime(Date secondRealSendTime) {
        this.secondRealSendTime = secondRealSendTime;
    }

    public Integer getSecondStatus() {
        return secondStatus;
    }

    public void setSecondStatus(Integer secondStatus) {
        this.secondStatus = secondStatus;
    }

    public Date getReviewSendTime() {
        return reviewSendTime;
    }

    public void setReviewSendTime(Date reviewSendTime) {
        this.reviewSendTime = reviewSendTime;
    }

    public Date getReviewRealSendTime() {
        return reviewRealSendTime;
    }

    public void setReviewRealSendTime(Date reviewRealSendTime) {
        this.reviewRealSendTime = reviewRealSendTime;
    }

    public Integer getReviewStatus() {
        return reviewStatus;
    }

    public void setReviewStatus(Integer reviewStatus) {
        this.reviewStatus = reviewStatus;
    }

    public Long getMemberAreaId() {
        return memberAreaId;
    }

    public void setMemberAreaId(Long memberAreaId) {
        this.memberAreaId = memberAreaId;
    }

    public Long getMcuId() {
        return mcuId;
    }

    public void setMcuId(Long mcuId) {
        this.mcuId = mcuId;
    }

    public String getGoodsInfo() {
        return goodsInfo;
    }

    public void setGoodsInfo(String goodsInfo) {
        this.goodsInfo = goodsInfo;
    }

    public Date getReceiptsDate() {
        return receiptsDate;
    }

    public void setReceiptsDate(Date receiptsDate) {
        this.receiptsDate = receiptsDate;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}