package com.gic.evaluate.service;

import com.gic.evaluate.dto.BadEvaluateConfigDTO;
import com.gic.evaluate.entity.TabBadEvaluateConfig;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-12-25 17:47
 */
public interface BadEvaluateConfigService {

    /**
     * init
     * @Title: init
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return void
     * @throws
     */
    void init(Integer enterpriseId);


    /**
     * updateBadEvaluateConfig
     * @Title: updateBadEvaluateConfig
     * @Description:
     * @author zhiwj
     * @param badEvaluateConfigDTO
     * @return void
     * @throws
     */
    void updateBadEvaluateConfig(BadEvaluateConfigDTO badEvaluateConfigDTO);


    /**
     * getBadEvaluateConfig
     * @Title: getBadEvaluateConfig
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return com.gic.evaluate.entity.TabBadEvaluateConfig
     * @throws
     */
    TabBadEvaluateConfig getBadEvaluateConfig(Integer enterpriseId);
}
