package com.gic.evaluate.service;

import com.gic.evaluate.entity.TabEvaluateImg;

import java.util.List;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-01-02 11:10
 */
public interface EvaluateImgService {
    /**
     * listImageByEvaluateId
     * @Title: listImageByEvaluateId
     * @Description:
     * @author zhiwj
     * @param evaluateId
     * @return java.util.List<com.gic.evaluate.entity.TabEvaluateImg>
     * @throws
     */
    List<TabEvaluateImg> listImageByEvaluateId(Integer evaluateId);

    /**
     * listImageByEvaluateReplyId
     * @Title: listImageByEvaluateReplyId
     * @Description:
     * @author zhiwj
     * @param evaluateReplyId
     * @return java.util.List<com.gic.evaluate.entity.TabEvaluateImg>
     * @throws
     */
    List<TabEvaluateImg> listImageByEvaluateReplyId(Integer evaluateReplyId);

    /**
     * saveList
     * @Title: saveList
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param evaluateId
     * @param imgUrlList
     * @return void
     * @throws
     */
    void saveList(Integer enterpriseId, Integer evaluateId, List<String> imgUrlList);

    /**
     * saveList
     * @Title: saveList
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param evaluateId
     * @param evaluateReplyId
     * @param imgUrlList
     * @return void
     * @throws
     */
    void saveList(Integer enterpriseId, Integer evaluateId, Integer evaluateReplyId, List<String> imgUrlList);
}
