package com.gic.evaluate.service;

import com.gic.evaluate.entity.TabEvaluateQuick;

import java.util.List;
import java.util.Map;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-12-30 11:07
 */
public interface EvaluateQuickService {

    /**
     * saveEvaluateQuick
     * @Title: saveEvaluateQuick
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param evaluateQuick
     * @param quickReplyType
     * @return void
     * @throws
     */
    void saveEvaluateQuick(Integer enterpriseId, List<String> evaluateQuick, Integer quickReplyType);

    /**
     * listEvaluateQuick
     * @Title: listEvaluateQuick
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param quickReplyType
     * @return java.util.List<com.gic.evaluate.entity.TabEvaluateQuick>
     * @throws
     */
    List<TabEvaluateQuick> listEvaluateQuick(Integer enterpriseId, Integer quickReplyType);

    /**
     * getById
     * @Title: getById
     * @Description:
     * @author zhiwj
     * @param quickTagsId
     * @return com.gic.evaluate.entity.TabEvaluateQuick
     * @throws
     */
    TabEvaluateQuick getById(Integer quickTagsId);

    /**
     * evaluateGoodQuickChart
     * @Title: evaluateGoodQuickChart
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param startTime
     * @param endTime
     * @param storeIdList
     * @return java.util.List<java.util.Map<java.lang.String,java.lang.Object>>
     * @throws
     */
    List<Map<String, Object>> evaluateGoodQuickChart(Integer enterpriseId, String startTime, String endTime, List<Integer> storeIdList);

    /**
     * evaluateBadQuickChart
     * @Title: evaluateBadQuickChart
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param startTime
     * @param endTime
     * @param storeIdList
     * @return java.util.List<java.util.Map<java.lang.String,java.lang.Object>>
     * @throws
     */
    List<Map<String, Object>> evaluateBadQuickChart(Integer enterpriseId, String startTime, String endTime, List<Integer> storeIdList);
}
