package com.gic.evaluate.service;

import com.gic.evaluate.entity.TabEvaluateTags;

import java.util.List;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-02-28 13:52
 */
public interface EvaluateTagsService {
    /**
     * 保存快评
     * @Title: saveQuick
     * @Description:
     * @author zhiwj
     * @param quickTagsId
     * @param enterpriseId
     * @param evaluateId
     * @param memberId
     * @return void
     * @throws
     */
    void saveQuick(Integer quickTagsId, Integer enterpriseId, Integer evaluateId, Long memberId);

    /**
     * 保存快评
     * @Title: saveQuick
     * @Description:
     * @author zhiwj
     * @param quickTagsId
     * @param enterpriseId
     * @param evaluateId
     * @param evaluateReplyId
     * @param memberId
     * @return void
     * @throws
     */
    void saveQuick(Integer quickTagsId, Integer enterpriseId, Integer evaluateId, Integer evaluateReplyId, Long memberId);

    /**
     * listEvaluateTags
     * @Title: listEvaluateTags
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param evaluateId
     * @return java.util.List<com.gic.evaluate.entity.TabEvaluateTags>
     * @throws
     */
    List<TabEvaluateTags> listEvaluateTags(Integer enterpriseId, Integer evaluateId);

    /**
     * listEvaluateTags
     * @Title: listEvaluateTags
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param evaluateId
     * @param evaluateReplyId
     * @return java.util.List<com.gic.evaluate.entity.TabEvaluateTags>
     * @throws
     */
    List<TabEvaluateTags> listEvaluateTags(Integer enterpriseId, Integer evaluateId, Integer evaluateReplyId);

}
