package com.gic.evaluate.constant;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2020/2/4 17:07
 */
public enum OrderReplyEnum {
    // 待处理
    WAIT(0),
    // 已回复
    REPLIED(1),
    // 有新的追评
    HAS_NEW(2),
    // 评价逾期 并且没评价过
    EVALUATE_OVERDUE(3),
    // 不支持追评
    REPLY_NOT_SUPPORT(4),
    // 追评逾期 不可回复
    REPLY_OVERDUE(5),
    // 追评超过最大数量
    REPLY_OVER_MAX_TIMES(6),
    // 评价逾期 并且评价过
    EVALUATE_HAS_OVERDUE(7),
    ;

    private Integer code;

    OrderReplyEnum(Integer code) {
        this.code = code;
    }

    public Integer getCode() {
        return code;
    }
}
