package com.gic.evaluate.constant;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-01-03 14:45
 */
public enum TrendDateUnitEnum {
    /**
     * 年
     */
    YEAR(1, "%Y"),
    /**
     * 年月
     */
    MONTH(2, "%Y-%m"),
    /**
     * 年月日
     */
    DAY(3, "%y-%m-%d"),
    ;
    private Integer code;
    private String format;

    TrendDateUnitEnum(Integer code, String format) {
        this.code = code;
        this.format = format;
    }

    public Integer getCode() {
        return code;
    }

    public String getFormat() {
        return format;
    }
}
