package com.gic.evaluate.dto;

import java.io.Serializable;
import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2020/2/5 11:18
 */
public class OrderGoodsDTO implements Serializable {
    private static final long serialVersionUID = 4919895618830625309L;

    /**
     * 商品图片链接
     */
    private String imageUrl;
    /**
     * 商品名称
     */
    private String goodsName;
    /**
     * sku编码
     */
    private String skuCode;
    /**
     * 商品售价
     */
    private Double payPrice;
    /**
     * 商品数量
     */
    private Integer goodsNum;

    List<OrderItemAttrViewDTO> skuInfo;


    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getSkuCode() {
        return skuCode;
    }

    public void setSkuCode(String skuCode) {
        this.skuCode = skuCode;
    }

    public Double getPayPrice() {
        return payPrice;
    }

    public void setPayPrice(Double payPrice) {
        this.payPrice = payPrice;
    }

    public Integer getGoodsNum() {
        return goodsNum;
    }

    public void setGoodsNum(Integer goodsNum) {
        this.goodsNum = goodsNum;
    }

    public List<OrderItemAttrViewDTO> getSkuInfo() {
        return skuInfo;
    }

    public void setSkuInfo(List<OrderItemAttrViewDTO> skuInfo) {
        this.skuInfo = skuInfo;
    }
}
