package com.gic.evaluate.dto;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-01-02 10:48
 */
public class ProblemReplyDTO implements Serializable {
    private static final long serialVersionUID = 6022427014367317704L;

    /**
     *
     */
    private Integer problemReplyId;

    /**
     * 商户id
     */
    private Integer enterpriseId;

    /**
     *
     */
    private Integer problemId;

    /**
     * 1:会员      2:管理员
     */
    private Integer replyerType;

    /**
     * 回复内容
     */
    private String replyContent;

    /**
     * 会员id
     */
    private Long memberId;

    /**
     * 会员name
     */
    private String memberName;

    /**
     * 会员头像
     */
    private String memberImgUrl;
    /**
     * 管理员id
     */
    private Integer userId;

    /**
     * 管理员name
     */
    private String userName;

    /**
     *
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;
    /**
     * 图片
     */
    private List<String> imgList;

    public Integer getProblemReplyId() {
        return problemReplyId;
    }

    public void setProblemReplyId(Integer problemReplyId) {
        this.problemReplyId = problemReplyId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getProblemId() {
        return problemId;
    }

    public void setProblemId(Integer problemId) {
        this.problemId = problemId;
    }

    public Integer getReplyerType() {
        return replyerType;
    }

    public void setReplyerType(Integer replyerType) {
        this.replyerType = replyerType;
    }

    public String getReplyContent() {
        return replyContent;
    }

    public void setReplyContent(String replyContent) {
        this.replyContent = replyContent;
    }

    public Long getMemberId() {
        return memberId;
    }

    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public void setImgList(List<String> imgList) {
        this.imgList = imgList;
    }

    public List<String> getImgList() {
        return imgList;
    }

    public String getMemberImgUrl() {
        return memberImgUrl;
    }

    public void setMemberImgUrl(String memberImgUrl) {
        this.memberImgUrl = memberImgUrl;
    }
}
