package com.gic.evaluate.qo;


import java.util.List;

/**
 * 
 * @ClassName: EvaluateQO
 * @Description:  
 * @author zhiwj
 * @date 2019-12-26 9:44
 */
public class EvaluateQO extends PageQO{
    private static final long serialVersionUID = 3863482060139969653L;


    private Integer enterpriseId;

    /**
     * 订单号 会员姓名 手机号 评语内容 门店名称
     */
    private String search;

    private String startTime;

    private String endTime;

    /**
     * 不良评价
     */
    private Integer badEvaluateStatus;

    /**
     * 好评
     */
    private Integer goodEvaluateStatus;

    /**
     * 有追评
     */
    private Integer reviewStatus;

    /**
     * 指定热评
     */
    private Integer topHotStatus;

    /**
     * 恶意评论
     */
    private Integer maliciousStatus;

    private Integer goodsType;
    private String goodsCompute;
    private Integer goodsScore;

    private Integer storeType;
    private String storeCompute;
    private Integer storeScore;

    private Integer serviceType;
    private String serviceCompute;
    private Integer serviceScore;

    /**
     * 回复状态
     */
    private Integer replyStatus;

    /**
     * 任务分配状态
     */
    private Integer visitStatus;

    /**
     * 是否展示
     */
    private Integer showStatus;

    /**
     * 1:首次评价时间  2：订单时间
     */
    private Integer orderByField;

    /**
     * 门店选择器d
     */
    private Integer storeWidgetId;

    private List<Integer> storeIdList;

    private Integer[] evaluateIds;
    private Long memberId;

    /**
     * 标志请求来自小程序
     */
    private Integer applet;

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getSearch() {
        return search;
    }

    public void setSearch(String search) {
        this.search = search;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public Integer getBadEvaluateStatus() {
        return badEvaluateStatus;
    }

    public void setBadEvaluateStatus(Integer badEvaluateStatus) {
        this.badEvaluateStatus = badEvaluateStatus;
    }

    public Integer getGoodEvaluateStatus() {
        return goodEvaluateStatus;
    }

    public void setGoodEvaluateStatus(Integer goodEvaluateStatus) {
        this.goodEvaluateStatus = goodEvaluateStatus;
    }

    public Integer getReviewStatus() {
        return reviewStatus;
    }

    public void setReviewStatus(Integer reviewStatus) {
        this.reviewStatus = reviewStatus;
    }

    public Integer getTopHotStatus() {
        return topHotStatus;
    }

    public void setTopHotStatus(Integer topHotStatus) {
        this.topHotStatus = topHotStatus;
    }

    public Integer getMaliciousStatus() {
        return maliciousStatus;
    }

    public void setMaliciousStatus(Integer maliciousStatus) {
        this.maliciousStatus = maliciousStatus;
    }

    public Integer getGoodsType() {
        return goodsType;
    }

    public void setGoodsType(Integer goodsType) {
        this.goodsType = goodsType;
    }

    public String getGoodsCompute() {
        return goodsCompute;
    }

    public void setGoodsCompute(String goodsCompute) {
        this.goodsCompute = goodsCompute;
    }

    public Integer getGoodsScore() {
        return goodsScore;
    }

    public void setGoodsScore(Integer goodsScore) {
        this.goodsScore = goodsScore;
    }

    public Integer getStoreType() {
        return storeType;
    }

    public void setStoreType(Integer storeType) {
        this.storeType = storeType;
    }

    public String getStoreCompute() {
        return storeCompute;
    }

    public void setStoreCompute(String storeCompute) {
        this.storeCompute = storeCompute;
    }

    public Integer getStoreScore() {
        return storeScore;
    }

    public void setStoreScore(Integer storeScore) {
        this.storeScore = storeScore;
    }

    public Integer getServiceType() {
        return serviceType;
    }

    public void setServiceType(Integer serviceType) {
        this.serviceType = serviceType;
    }

    public String getServiceCompute() {
        return serviceCompute;
    }

    public void setServiceCompute(String serviceCompute) {
        this.serviceCompute = serviceCompute;
    }

    public Integer getServiceScore() {
        return serviceScore;
    }

    public void setServiceScore(Integer serviceScore) {
        this.serviceScore = serviceScore;
    }

    public Integer getReplyStatus() {
        return replyStatus;
    }

    public void setReplyStatus(Integer replyStatus) {
        this.replyStatus = replyStatus;
    }

    public Integer getVisitStatus() {
        return visitStatus;
    }

    public void setVisitStatus(Integer visitStatus) {
        this.visitStatus = visitStatus;
    }

    public Integer getShowStatus() {
        return showStatus;
    }

    public void setShowStatus(Integer showStatus) {
        this.showStatus = showStatus;
    }

    public Integer getOrderByField() {
        return orderByField;
    }

    public void setOrderByField(Integer orderByField) {
        this.orderByField = orderByField;
    }

    public Integer getStoreWidgetId() {
        return storeWidgetId;
    }

    public void setStoreWidgetId(Integer storeWidgetId) {
        this.storeWidgetId = storeWidgetId;
    }

    public List<Integer> getStoreIdList() {
        return storeIdList;
    }

    public void setStoreIdList(List<Integer> storeIdList) {
        this.storeIdList = storeIdList;
    }

    public Integer[] getEvaluateIds() {
        return evaluateIds;
    }

    public void setEvaluateIds(Integer[] evaluateIds) {
        this.evaluateIds = evaluateIds;
    }

    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }

    public Long getMemberId() {
        return memberId;
    }

    public Integer getApplet() {
        return applet;
    }

    public void setApplet(Integer applet) {
        this.applet = applet;
    }
}
