package com.gic.evaluate.service;

import com.gic.api.base.commons.ServiceResponse;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2020/2/6 13:31
 */
public interface EvaluateMsgLogApiService {


    /**
     * 接收数据组的订单数据 发送数据
     * @Title: sendNotice
     * @Description: 接收数据组的订单数据 发送数据
     * @author zhiwj
     * @param json
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> sendOrderNotice(String json);

    /**
     * 保存一个订单信息
     * @Title: saveEvaluateMsgLog
     * @Description:
     * @param evaluateMsgLogDTO
     * @author zhiwj
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
//    ServiceResponse<Void> saveEvaluateMsgLog(EvaluateMsgLogDTO evaluateMsgLogDTO);

    /**
     * 定时器方法，遍历所有商户，调用队列方法
     * @Title: timerSendMemberMessage
     * @Description:
     * @author zhiwj
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
//    ServiceResponse<Void> timerSendMemberMessage(String param);

    /**
     * 队列方法 发送模板消息
     * @Title: queueSendMemberMessage
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
//    ServiceResponse<Void> queueSendMemberMessage(String enterpriseId);
}
