package com.gic.evaluate.entity;

import java.util.Date;

/**
 * tab_evaluate_order_config
 */
/**
 * 
 * @ClassName: TabEvaluateOrderConfig
 * @Description:  
 * @author zhiwj
 * @date 2020-09-08 18:50
 */
public class TabEvaluateOrderConfig {
    /**
     * 
     */
    private Integer evaluateOrderConfigId;

    /**
     * 
     */
    private Integer enterpriseId;

    /**
     * 商品质量
     */
    private Integer goods;

    /**
     * 门店环境
     */
    private Integer store;

    /**
     * 服务能力
     */
    private Integer service;

    /**
     * 消费后提醒时间（小时）
     */
    private Integer mindHour;

    /**
     * 重新提醒时间 单位天
     */
    private Integer remindDay;

    /**
     * 评价时限
     */
    private Integer evaluateLimitday;

    /**
     * 默认评语
     */
    private String defaultContent;

    /**
     * 是否支持追评
     */
    private Integer review;

    /**
     * 追评提醒 X天
     */
    private Integer reviewRemind;

    /**
     * 追评期限
     */
    private Integer reviewLimitday;

    /**
     * 是否支持用户隐藏追评
     */
    private Integer reviewUserHidden;

    /**
     * 追评次数
     */
    private Integer reviewTimes;

    /**
     * 评价组件
     */
    private Integer commentModule;

    /**
     * 展示规则  1仅本条评论  2评论及其追评
     */
    private Integer showType;

    /**
     * 1. 按评分从高到低 2. 按时间倒序
     */
    private Integer orderType;

    /**
     * 恶意评价标记功能
     */
    private Integer badEvaluateTag;

    /**
     * X小时内禁止评论， -1代表永久
     */
    private Integer badEvaluateTagType;

    /**
     * 恶意投诉标记功能
     */
    private Integer badSuggestionTag;

    /**
     * X小时内禁止用户再次发表投诉建议
     */
    private Integer badSuggestionTagType;

    /**
     * 
     */
    private Date updateTime;

    public Integer getEvaluateOrderConfigId() {
        return evaluateOrderConfigId;
    }

    public void setEvaluateOrderConfigId(Integer evaluateOrderConfigId) {
        this.evaluateOrderConfigId = evaluateOrderConfigId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getGoods() {
        return goods;
    }

    public void setGoods(Integer goods) {
        this.goods = goods;
    }

    public Integer getStore() {
        return store;
    }

    public void setStore(Integer store) {
        this.store = store;
    }

    public Integer getService() {
        return service;
    }

    public void setService(Integer service) {
        this.service = service;
    }

    public Integer getMindHour() {
        return mindHour;
    }

    public void setMindHour(Integer mindHour) {
        this.mindHour = mindHour;
    }

    public Integer getRemindDay() {
        return remindDay;
    }

    public void setRemindDay(Integer remindDay) {
        this.remindDay = remindDay;
    }

    public Integer getEvaluateLimitday() {
        return evaluateLimitday;
    }

    public void setEvaluateLimitday(Integer evaluateLimitday) {
        this.evaluateLimitday = evaluateLimitday;
    }

    public String getDefaultContent() {
        return defaultContent;
    }

    public void setDefaultContent(String defaultContent) {
        this.defaultContent = defaultContent;
    }

    public Integer getReview() {
        return review;
    }

    public void setReview(Integer review) {
        this.review = review;
    }

    public Integer getReviewUserHidden() {
        return reviewUserHidden;
    }

    public void setReviewUserHidden(Integer reviewUserHidden) {
        this.reviewUserHidden = reviewUserHidden;
    }

    public Integer getReviewTimes() {
        return reviewTimes;
    }

    public void setReviewTimes(Integer reviewTimes) {
        this.reviewTimes = reviewTimes;
    }

    public Integer getCommentModule() {
        return commentModule;
    }

    public void setCommentModule(Integer commentModule) {
        this.commentModule = commentModule;
    }

    public Integer getShowType() {
        return showType;
    }

    public void setShowType(Integer showType) {
        this.showType = showType;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public Integer getBadEvaluateTag() {
        return badEvaluateTag;
    }

    public void setBadEvaluateTag(Integer badEvaluateTag) {
        this.badEvaluateTag = badEvaluateTag;
    }

    public Integer getBadEvaluateTagType() {
        return badEvaluateTagType;
    }

    public void setBadEvaluateTagType(Integer badEvaluateTagType) {
        this.badEvaluateTagType = badEvaluateTagType;
    }

    public Integer getBadSuggestionTag() {
        return badSuggestionTag;
    }

    public void setBadSuggestionTag(Integer badSuggestionTag) {
        this.badSuggestionTag = badSuggestionTag;
    }

    public Integer getBadSuggestionTagType() {
        return badSuggestionTagType;
    }

    public void setBadSuggestionTagType(Integer badSuggestionTagType) {
        this.badSuggestionTagType = badSuggestionTagType;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getReviewRemind() {
        return reviewRemind;
    }

    public void setReviewRemind(Integer reviewRemind) {
        this.reviewRemind = reviewRemind;
    }

    public Integer getReviewLimitday() {
        return reviewLimitday;
    }

    public void setReviewLimitday(Integer reviewLimitday) {
        this.reviewLimitday = reviewLimitday;
    }
}