package com.gic.evaluate.service;

import com.gic.evaluate.dto.EvaluateOrderConfigDTO;
import com.gic.evaluate.entity.TabEvaluateOrderConfig;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-12-25 17:45
 */
public interface EvaluateOrderConfigService {
    /**
     * init
     * @Title: init
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return void
     * @throws
     */
    void init(Integer enterpriseId);

    /**
     * updateOrderConfig
     * @Title: updateOrderConfig
     * @Description:
     * @author zhiwj
     * @param evaluateOrderConfigDTO
     * @return void
     * @throws
     */
    void updateOrderConfig(EvaluateOrderConfigDTO evaluateOrderConfigDTO);

    /**
     * getEvaluateOrderConfig
     * @Title: getEvaluateOrderConfig
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return com.gic.evaluate.entity.TabEvaluateOrderConfig
     * @throws
     */
    TabEvaluateOrderConfig getEvaluateOrderConfig(Integer enterpriseId);
}
