package com.gic.evaluate.service;

import com.gic.evaluate.entity.TabProblemImg;

import java.util.List;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-01-02 11:10
 */
public interface ProblemImgService {
    /**
     * listImageByProblemId
     * @Title: listImageByProblemId
     * @Description:
     * @author zhiwj
     * @param problemId
     * @return java.util.List<com.gic.evaluate.entity.TabProblemImg>
     * @throws
     */
    List<TabProblemImg> listImageByProblemId(Integer problemId);

    /**
     * listImageByProblemReplyId
     * @Title: listImageByProblemReplyId
     * @Description:
     * @author zhiwj
     * @param problemReplyId
     * @return java.util.List<com.gic.evaluate.entity.TabProblemImg>
     * @throws
     */
    List<TabProblemImg> listImageByProblemReplyId(Integer problemReplyId);

    /**
     * saveList
     * @Title: saveList
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param problemId
     * @param imgUrlList
     * @return void
     * @throws
     */
    void saveList(Integer enterpriseId, Integer problemId, List<String> imgUrlList);

    /**
     * saveList
     * @Title: saveList
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param problemId
     * @param problemReplyId
     * @param imgUrlList
     * @return void
     * @throws
     */
    void saveList(Integer enterpriseId, Integer problemId, Integer problemReplyId, List<String> imgUrlList);
}
