package com.gic.evaluate.web.utils;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.dto.MenuDTO;
import com.gic.auth.service.MenuApiService;
import com.gic.enterprise.context.RequestContext;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-12-10 18:05
 */
@Component
public class DataContentUtils {


    private static MenuApiService menuApiService;

    @Autowired
    public void setMenuApiService(MenuApiService menuApiService) {
        DataContentUtils.menuApiService = menuApiService;
    }

    public static String getDataContent() {
        String dataContent;
        Integer moduleMenuId = (Integer) RequestContext.getContext().getRequest().getAttribute("moduleMenuId");
        ServiceResponse<MenuDTO> response = menuApiService.getDetailById(moduleMenuId);
        MenuDTO menuDTO = response.getResult();
        ServiceResponse<MenuDTO> parentResponse = menuApiService.getDetailById(menuDTO.getParentId());
        MenuDTO parentMenuDTO = parentResponse.getResult();
        if (parentMenuDTO != null) {
            dataContent = parentMenuDTO.getMenuName() + "-" + menuDTO.getMenuName();
        } else {
            dataContent = menuDTO.getMenuName();
        }
        return dataContent;
    }
}
